#pragma once

#include "TFrameTypes.h"
#include <TString.h>
namespace FrameFormat 
{
    inline FrameFormat::FrType GetType(TString typeStr)
    {         
            if(typeStr.EqualTo("FrameFormat::TFrAdcData") || typeStr.EqualTo("TFrAdcData"))
                    return FrameFormat::FrType::FrAdcData;
            if(typeStr.EqualTo("FrameFormat::TFrDetector") || typeStr.EqualTo("TFrDetector"))
                    return FrameFormat::FrType::FrDetector;
            if(typeStr.EqualTo("FrameFormat::TFrEvent") || typeStr.EqualTo("TFrEvent"))
                    return FrameFormat::FrType::FrEvent;
            if(typeStr.EqualTo("FrameFormat::TFrHistory") || typeStr.EqualTo("TFrHistory"))
                    return FrameFormat::FrType::FrHistory;
            if(typeStr.EqualTo("FrameFormat::TFrMsg") || typeStr.EqualTo("TFrMsg"))
                    return FrameFormat::FrType::FrMsg;
            if(typeStr.EqualTo("FrameFormat::TFrProcData") || typeStr.EqualTo("TFrProcData"))
                    return FrameFormat::FrType::FrProcData;
            if(typeStr.EqualTo("FrameFormat::TFrRawData") || typeStr.EqualTo("TFrRawData"))
                    return FrameFormat::FrType::FrRawData;
            if(typeStr.EqualTo("FrameFormat::TFrSerData") || typeStr.EqualTo("TFrSerData"))
                    return FrameFormat::FrType::FrSerData;
            if(typeStr.EqualTo("FrameFormat::TFrSimData") || typeStr.EqualTo("TFrSimData"))
                    return FrameFormat::FrType::FrSimData;
            if(typeStr.EqualTo("FrameFormat::TFrSimEvent") || typeStr.EqualTo("TFrSimEvent"))
                    return FrameFormat::FrType::FrSimEvent;
            if(typeStr.EqualTo("FrameFormat::TFrStatData") || typeStr.EqualTo("TFrStatData"))
                    return FrameFormat::FrType::FrStatData;
            if(typeStr.EqualTo("FrameFormat::TFrSummary") || typeStr.EqualTo("TFrSummary"))
                    return FrameFormat::FrType::FrSummary;
            if(typeStr.EqualTo("FrameFormat::TFrTable") || typeStr.EqualTo("TFrTable"))
                    return FrameFormat::FrType::FrTable;
            if(typeStr.EqualTo("FrameFormat::TFrVect") || typeStr.EqualTo("TFrVect"))
                    return FrameFormat::FrType::FrVect;

            throw std::runtime_error("Unknown type: " + typeStr);
    }

    inline std::vector<FrameFormat::FrType> GetType(std::vector<TString> typeList)
    {         
            std::vector<FrameFormat::FrType> dataClass;
            for(int i = 0; i < typeList.size(); i++) {
                    dataClass.push_back(GetType(typeList[i]));
            }

            return dataClass;
    }
}