#ifdef __CINT__

#pragma link off all globals;
#pragma link off all functions;

#pragma link C++ enum class FrameFormat::Verbosity+;
#pragma link C++ struct FrameFormat::GPS+;

#pragma link C++ class FrameFormat::TFrameAbstract+;
#pragma link C++ class FrameFormat::TFrameChain+;
#pragma link C++ class FrameFormat::TFrameStreamer+;
#pragma link C++ class FrameFormat::TFrameManager+;

#pragma link C++ class FrameFormat::TFrame+;
#pragma link C++ enum class FrameFormat::FrType+;

#pragma link C++ class FrameFormat::TFrAbstract+;

#pragma link C++ class FrameFormat::TFrVect+;
#pragma link C++ class FrameFormat::TFrTable+;
#pragma link C++ class FrameFormat::TFrDetector+;
#pragma link C++ class FrameFormat::TFrAdcData+;
#pragma link C++ class FrameFormat::TFrEvent+;
#pragma link C++ class FrameFormat::TFrSimEvent+;
#pragma link C++ class FrameFormat::TFrHistory+;
#pragma link C++ class FrameFormat::TFrMsg+;
#pragma link C++ class FrameFormat::TFrProcData+;
#pragma link C++ enum class FrameFormat::TFrProcData::type+;
#pragma link C++ enum class FrameFormat::TFrProcData::subtype+;
#pragma link C++ class FrameFormat::TFrSerData+;
#pragma link C++ class FrameFormat::TFrRawData+;
#pragma link C++ class FrameFormat::TFrSimData+;
#pragma link C++ class FrameFormat::TFrStatData+;
#pragma link C++ class FrameFormat::TFrSummary+;

#pragma link C++ function FrameFormat::TFrameChain::AddChannel<float>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<double>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<char>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<short>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<int>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<long>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<unsigned long>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<std::complex<float>>+;
#pragma link C++ function FrameFormat::TFrameChain::AddChannel<std::complex<double>>+;

#pragma link C++ class FrameFormat::TFrameProxyAbstract;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrAdcData>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrDetector>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrEvent>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrHistory>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrMsg>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrProcData>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrRawData>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrSerData>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrSimData>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrSimEvent>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrStatData>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrSummary>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrTable>;
#pragma link C++ class FrameFormat::TFrameProxy<FrameFormat::TFrVect>;


#endif
